trustCenterEligibleProjects
Lists projects eligible to be featured on the Trust Center
trustCenterEligibleProjects(
companyId: Int!
): [TrustCenterPickerProject!]!
Arguments
trustCenterEligibleProjects.companyId ● Int! non-null scalar
Type
TrustCenterPickerProject object
Lightweight project shape used by the Trust Center admin pickers.
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the companies query first and use data.companies.collection[].id as companyId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetTrustCenterEligibleProjects($companyId: Int!) {\n trustCenterEligibleProjects(companyId: $companyId) { id label status }\n}","variables":{"companyId":1}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetTrustCenterEligibleProjects($companyId: Int!) {\n trustCenterEligibleProjects(companyId: $companyId) { id label status }\n}",
variables: {
"companyId": 1
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetTrustCenterEligibleProjects($companyId: Int!) {\n trustCenterEligibleProjects(companyId: $companyId) { id label status }\n}",
'variables': json.loads("{\"companyId\":1}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute